use std::borrow::BorrowMut;

use isahc::{ReadResponseExt, Request, RequestExt};

pub fn download(file_url: &str) -> Result<Vec<u8>, String> {
    // println!("{}", file_url);
    let mut download_response = Request::get(file_url).body(()).expect("body error").send();

    let bytes_try = match download_response.borrow_mut() {
        Ok(res) => res.bytes(),
        Err(err) => return Err(err.to_string()),
    };

    let bytes = match bytes_try {
        Ok(bytes) => bytes,
        Err(_) => return Err("Couldn't parse downloaded image body".into()),
    };

    Ok(bytes)
}
